Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class WizardDescriptor.ArrayIterator

    java.lang.Object
      org.openide.WizardDescriptor.ArrayIterator

All Implemented Interfaces:
  WizardDescriptor.Iterator

Enclosing class:
  WizardDescriptor

    public static class WizardDescriptor.ArrayIterator

extends Object
implements WizardDescriptor.Iterator

Special iterator that works on an array of `Panel`s.

Constructor Summary
`WizardDescriptor.ArrayIterator()`
`WizardDescriptor.ArrayIterator(WizardDescriptor.Panel[] array)` Construct an iterator.

Method Summary
`void` | `addChangeListener(ChangeListener l)` Add a listener to changes of the current panel.
`WizardDescriptor.Panel` | `current()` Get the current panel.
`boolean` | `hasNext()` Test whether there is a next panel.
`boolean` | `hasPrevious()` Test whether there is a previous panel.
`protected WizardDescriptor.Panel[]` | `initializePanels()` Allows subclasses to initialize their arrays of panels when constructed using default constructor.
`String` | `name()` Get the name of the current panel.
`void` | `nextPanel()` Move to the next panel.
`void` | `previousPanel()` Move to the previous panel.
`void` | `removeChangeListener(ChangeListener l)` Remove a listener to changes of the current panel.
`protected void` | `reset()` Resets this iterator to initial state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WizardDescriptor.ArrayIterator

    public WizardDescriptor.ArrayIterator()

### WizardDescriptor.ArrayIterator

    public WizardDescriptor.ArrayIterator(WizardDescriptor.Panel[] array)

  Construct an iterator.

  Parameters:
    `array` - the list of panels to use

Method Detail

### initializePanels

    protected WizardDescriptor.Panel[] initializePanels()

  Allows subclasses to initialize their arrays of panels when constructed using default constructor. (for example during deserialization. Default implementation returns empty array.

### current

    public WizardDescriptor.Panel current()

  Description copied from interface: `WizardDescriptor.Iterator`
  Get the current panel.

  Specified by:
    `current` in interface `WizardDescriptor.Iterator`
  Returns:
    the panel

### name

    public String name()

  Description copied from interface: `WizardDescriptor.Iterator`
  Get the name of the current panel.

  Specified by:
    `name` in interface `WizardDescriptor.Iterator`
  Returns:
    the name

### hasNext

    public boolean hasNext()

  Description copied from interface: `WizardDescriptor.Iterator`
  Test whether there is a next panel.

  Specified by:
    `hasNext` in interface `WizardDescriptor.Iterator`
  Returns:
    `true` if so

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `WizardDescriptor.Iterator`
  Test whether there is a previous panel.

  Specified by:
    `hasPrevious` in interface `WizardDescriptor.Iterator`
  Returns:
    `true` if so

### nextPanel

    public void nextPanel()

  Description copied from interface: `WizardDescriptor.Iterator`
  Move to the next panel. I.e. increment its index, need not actually change any GUI itself.

  Specified by:
    `nextPanel` in interface `WizardDescriptor.Iterator`

### previousPanel

    public void previousPanel()

  Description copied from interface: `WizardDescriptor.Iterator`
  Move to the previous panel. I.e. decrement its index, need not actually change any GUI itself.

  Specified by:
    `previousPanel` in interface `WizardDescriptor.Iterator`

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Description copied from interface: `WizardDescriptor.Iterator`
  Add a listener to changes of the current panel. The listener is notified when the possibility to move forward/backward changes.

  Specified by:
    `addChangeListener` in interface `WizardDescriptor.Iterator`
  Parameters:
    `l` - the listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Description copied from interface: `WizardDescriptor.Iterator`
  Remove a listener to changes of the current panel.

  Specified by:
    `removeChangeListener` in interface `WizardDescriptor.Iterator`
  Parameters:
    `l` - the listener to remove

### reset

    protected void reset()

  Resets this iterator to initial state. Called by subclasses when they need re-initialization of the iterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.